textures/mc_forestcastle_b4/fog_dark_4096
{
	qer_editorImage textures/mc-seeeker/fog_dark.tga
	qer_trans 0.4

	//fogParms ( 0.8 0.8 0.8 ) 512	//Normalized RGB, distance to opaque
	fogParms ( 0 0 0 ) 4096	//Normalized RGB, distance to opaque

	surfaceparm fog		//Must be used
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm detail
}
textures/mc_forestcastle_b4/fog_dark_2048
{
	qer_editorImage textures/mc-seeeker/fog_dark.tga
	qer_trans 0.4

	//fogParms ( 0.8 0.8 0.8 ) 2048	//Normalized RGB, distance to opaque
	fogParms ( 0 0 0 ) 2048	//Normalized RGB, distance to opaque

	surfaceparm fog		//Must be used
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm detail
}
textures/mc_forestcastle_b4/fog_dark_1024
{
	qer_editorImage textures/mc-seeeker/fog_dark.tga
	qer_trans 0.4

	fogParms ( 0 0 0 ) 1024	//Normalized RGB, distance to opaque

	surfaceparm fog		//Must be used
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm detail
}
textures/mc_forestcastle_b4/Glowstone
{
	qer_editorimage textures/mc-seeeker/glowstone.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	tessSize 64
	q3map_surfacelight 2048
	{
		map textures/mc-seeeker/glowstone.tga
	}
}

textures/mc_forestcastle_b4/Lava
{
	qer_editorimage textures/mc-seeeker/Lava.tga
	surfaceparm lava
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	tessSize 64
	qer_trans 0.75
	q3map_surfacelight 2048
	{
		map textures/mc-seeeker/lava0.tga
		rgbGen wave sin 0.25 0.25 0 0.041632 
	}
	{
		map textures/mc-seeeker/lava0.tga
		blendfunc add
		rgbGen wave triangle 0 1 0 0.1 
		tcMod transform 1 0 0 1 0.25 0
	}
	{
		map textures/mc-seeeker/lava0.tga
		blendfunc add
		rgbGen wave triangle 0 1 0.25 0.1 
		tcMod transform 1 0 0 1 0.25 0.5
	}
	{
		map textures/mc-seeeker/lava0.tga
		blendfunc add
		rgbGen wave triangle 0 1 0.5 0.1 
		tcMod transform 1 0 0 1 0.5 0.5
	}
	{
		map textures/mc-seeeker/lava0.tga
		blendfunc add
		rgbGen wave triangle 0 1 0.75 0.1 
		tcMod transform 1 0 0 1 0.75 0.75
	}
}

textures/mc_forestcastle_b4/Lava_nodraw
{
	qer_editorimage textures/mc-seeeker/Lava_nodraw.tga
	surfaceparm lava
	surfaceparm nodraw
	surfaceparm trans
	tessSize 64
	qer_trans 0.75
}

textures/mc_forestcastle_b4/Water_nodraw
{
	qer_editorimage textures/mc-seeeker/Water_nodraw.tga
	surfaceparm nodraw
	surfaceparm trans
	surfaceparm water
	surfaceparm ladder
	tessSize 64
	qer_trans 0.75
}

textures/mc_forestcastle_b4/Water
{
	qer_editorimage textures/mc-seeeker/Water.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	surfaceparm ladder
	surfaceparm lightfilter
	sort nearest
	cull disable
	polygonoffset
	qer_trans 0.75
	{
		map textures/mc-seeeker/water0.tga
		blendfunc blend
		tcMod transform 1 0 0 1 0.75 0.25
		depthWrite
		alphaGen wave triangle 0.5 0.45 0 0.1 
	}
	{
		map textures/mc-seeeker/Water0.tga
		blendfunc blend
		tcMod transform 1 0 0 1 0.75 0
		depthWrite
		alphaGen wave triangle 0.5 0.45 0.5 0.1 
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/mc_forestcastle_b4/Glass
{
	qer_editorimage textures/mc-seeeker/Glass.tga
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm lightfilter
	qer_trans 0.3
	{
		map textures/mc-seeeker/Glass.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/mc_forestcastle_b4/Leaves
{
	qer_editorimage textures/mc-seeeker/Leaves.tga
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	cull none
	qer_trans 1
	{
		map textures/mc-seeeker/Leaves.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
